package com.apex.sample;


import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends Activity
{
    protected static final Context Context = null;
	/** Called when the activity is first created. */
	
	public void onCreate(Bundle savedInstanceState)
    {
    	super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        Button button = (Button) findViewById(R.id.button_apply_apex);
        button.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	try {
        Intent intent = new Intent(ACTION_SET_THEME);
        intent.putExtra(EXTRA_PACKAGE_NAME, getPackageName());
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        
            startActivity(intent);
        	} catch (ActivityNotFoundException e) {
                Toast.makeText(getApplicationContext(), "Apex Launcher is not installed!", Toast.LENGTH_LONG).show();
        }
    finish();
        }
    });

    
	
	 
  

	        Button button1 = (Button) findViewById(R.id.button_apply_nova);
	        button1.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
            	
                Intent intent = new Intent(ACTION_APPLY_ICON_THEME);
                intent.setPackage(NOVA_PACKAGE);
                intent.putExtra(EXTRA_ICON_THEME_PACKAGE, getPackageName());
                try {
                    startActivity(intent);
                } catch (ActivityNotFoundException e) {
                    Toast.makeText(getApplicationContext(), "Nova Launcher is not installed!", Toast.LENGTH_LONG).show();
                }
                finish();
            }      
         });
    }

    private static final String ACTION_APPLY_ICON_THEME = "com.teslacoilsw.launcher.APPLY_ICON_THEME";
    private static final String NOVA_PACKAGE = "com.teslacoilsw.launcher";
    private static final String EXTRA_ICON_THEME_PACKAGE = "com.teslacoilsw.launcher.extra.ICON_THEME_PACKAGE";
    final String ACTION_SET_THEME = "com.anddoes.launcher.SET_THEME";
	final String EXTRA_PACKAGE_NAME = "com.anddoes.launcher.THEME_PACKAGE_NAME";
    
    
}